Axis2/C: stub

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# stub
[client API]

## Files
file | axis2_stub.h
## Defines
#define | AXIOM_SOAP_11 1
#define | AXIOM_SOAP_12 2
## Typedefs
typedef struct axis2_stub | axis2_stub_t
## Functions
AXIS2_EXTERN void | axis2_stub_free (axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_endpoint_ref (axis2_stub_t *stub, const axutil_env_t *env, axis2_endpoint_ref_t *endpoint_ref)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_endpoint_uri (axis2_stub_t *stub, const axutil_env_t *env, const axis2_char_t *endpoint_uri)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_use_separate_listener (axis2_stub_t *stub, const axutil_env_t *env, const axis2_bool_t use_separate_listener)
AXIS2_EXTERN axis2_status_t | axis2_stub_set_soap_version (axis2_stub_t *stub, const axutil_env_t *env, const int soap_version)
AXIS2_EXTERN const axis2_char_t * | axis2_stub_get_svc_ctx_id (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_stub_engage_module (axis2_stub_t *stub, const axutil_env_t *env, const axis2_char_t *module_name)
AXIS2_EXTERN axis2_svc_client_t * | axis2_stub_get_svc_client (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_options_t * | axis2_stub_get_options (const axis2_stub_t *stub, const axutil_env_t *env)
AXIS2_EXTERN axis2_stub_t * | axis2_stub_create_with_endpoint_ref_and_client_home (const axutil_env_t *env, axis2_endpoint_ref_t *endpoint_ref, const axis2_char_t *client_home)
AXIS2_EXTERN axis2_stub_t * | axis2_stub_create_with_endpoint_uri_and_client_home (const axutil_env_t *env, const axis2_char_t *endpoint_uri, const axis2_char_t *client_home)

## Detailed Description

stub is a wrapper API for service client that helps users to use client API easily.

See also:
  service client

## Define Documentation

#define AXIOM_SOAP_11 1

DEPRECATED: Please use AXIOM_SOAP11 instead. Constant value representing SOAP version 1.1

#define AXIOM_SOAP_12 2

DEPRECATED: Please use AXIOM_SOAP12 instead. Constant value representing SOAP version 1.2

## Typedef Documentation

typedef struct axis2_stub axis2_stub_t

Type name for struct axis2_stub

## Function Documentation

AXIS2_EXTERN axis2_stub_t* axis2_stub_create_with_endpoint_ref_and_client_home | ( | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | endpoint_ref,
|  | const axis2_char_t * | client_home |
| ) |  |  |

Creates a stub instance.

Parameters:

  | env | pointer to environment struct
  | endpoint_ref | pointer to endpoint reference struct representing the stub endpoint. Newly created stub assumes ownership of the endpoint
  | client_home | name of the directory that contains the Axis2/C repository

Returns:
  pointer to newly created axis2_stub struct

AXIS2_EXTERN axis2_stub_t* axis2_stub_create_with_endpoint_uri_and_client_home | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | endpoint_uri,
|  | const axis2_char_t * | client_home |
| ) |  |  |

Creates a stub instance.

Parameters:

  | env | pointer to environment struct
  | endpoint_uri | string representing the endpoint reference
  | client_home | name of the directory that contains the Axis2/C repository

Returns:
  pointer to newly created axis2_stub struct

AXIS2_EXTERN axis2_status_t axis2_stub_engage_module | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | module_name |
| ) |  |  |

Engages the named module.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct
  | module_name | string representing the name of the module

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN void axis2_stub_free | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees stub struct.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_options_t* axis2_stub_get_options | ( | const axis2_stub_t * | stub,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the options used on top of the service client used by this stub.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct

Returns:
  pointer to options used by the service client of this stub

AXIS2_EXTERN axis2_svc_client_t* axis2_stub_get_svc_client | ( | const axis2_stub_t * | stub,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the service client instance used by this stub.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct

Returns:
  pointer to service client struct used by the stub

AXIS2_EXTERN const axis2_char_t* axis2_stub_get_svc_ctx_id | ( | const axis2_stub_t * | stub,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the service context ID.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct

Returns:
  service context ID if set, else NULL

AXIS2_EXTERN axis2_status_t axis2_stub_set_endpoint_ref | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | endpoint_ref |
| ) |  |  |

Sets the endpoint reference.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct
  | endpoint_ref | pointer to endpoint reference. stub assumes the ownership of the endpoint reference struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_stub_set_endpoint_uri | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | endpoint_uri |
| ) |  |  |

Sets the endpoint reference, represented by a string.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct
  | endpoint_uri | pointer to endpoint uri string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_stub_set_soap_version | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env,
|  | const int | soap_version |
| ) |  |  |

Sets the SOAP version.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct
  | soap_version | int value representing the SOAP version

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_stub_set_use_separate_listener | ( | axis2_stub_t * | stub,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | use_separate_listener |
| ) |  |  |

Sets the bool value specifying whether to use a separate listener for receive channel.

Parameters:

  | stub | pointer to stub struct
  | env | pointer to environment struct
  | use_separate | whether to use a separate listener

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE